Activity log for bug #1491148

Date Who What changed Old value New value Message
2015-09-01 21:24:30 Mario Villaplana bug added bug
2016-05-11 16:29:57 Scott Moser cloud-utils (Ubuntu): status New Confirmed
2016-05-11 16:30:02 Scott Moser cloud-utils (Ubuntu): importance Undecided Medium
2016-06-06 17:12:16 Scott Moser bug task added cloud-utils
2016-06-06 17:12:25 Scott Moser cloud-utils: status New Confirmed
2016-06-06 17:12:28 Scott Moser cloud-utils: importance Undecided Medium
2018-10-25 13:35:12 Scott Moser description I was attempting to run growpart when booting off of a RAID device and noticed that growpart never grows the root partition properly. During boot, I get the message: GROWROOT: FAILED: /dev/md126p: does not exist I then modified the "growroot" wrapper that gets put into the initramfs that takes the root partition and finds the name of the root disk from it. It looks like that script simply takes the root partition and strips the last consecutive numbers to find the root disk. For example: /dev/sda1 -> /dev/sda /dev/md126p1 -> /dev/md126p /dev/md126p doesn't exist because the RAID disk name is /dev/md126. I changed it so that the script always uses /dev/md126 as the disk with 2 variations: one that uses "1" as the partition number, and one that uses "p1" as the partition number. The former fails because "/dev/md1261 does not exist", and the latter fails because the growpart script checks to see that the partition number is actually a numerical value. This can probably be fixed by modifying growpart to allow the use of numerical values prefixed by "p" for partition numbers and modifying the growroot script that gets put in the initramfs to properly do string formatting with mdraid device names. Thanks for your time. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: cloud-utils 0.25-0ubuntu5.1 Uname: Linux 4.0.3 x86_64 NonfreeKernelModules: ext4 crc16 mbcache jbd2 raid1 md_mod mousedev hid_generic usbhid hid sd_mod coretemp x86_pkg_temp_thermal kvm_intel kvm ahci crc32c_intel libahci aesni_intel iTCO_wdt aes_x86_64 glue_helper squashfs libata iTCO_vendor_support i2c_i801 ehci_pci lpc_ich xhci_pci sb_edac lrw ixgbe gf128mul ipmi_ssif ablk_helper hwmon xhci_hcd ptp ehci_hcd loop cryptd edac_core usbcore microcode firmware_class scsi_mod tpm_tis pps_core i2c_core mfd_core usb_common mdio tpm ipmi_si ipmi_msghandler evdev button sch_fq_codel autofs4 ApportVersion: 2.0.1-0ubuntu17.9 Architecture: amd64 Date: Tue Sep 1 20:45:44 2015 MarkForUpload: True PackageArchitecture: all ProcEnviron: TERM=xterm-256color PATH=(custom, no user) SHELL=/bin/bash SourcePackage: cloud-utils UpgradeStatus: No upgrade log present (probably fresh install) I was attempting to run growpart when booting off of a RAID device and noticed that growpart never grows the root partition properly. During boot, I get the message: GROWROOT: FAILED: /dev/md126p: does not exist I then modified the "growroot" wrapper that gets put into the initramfs that takes the root partition and finds the name of the root disk from it. It looks like that script simply takes the root partition and strips the last consecutive numbers to find the root disk. For example: /dev/sda1 -> /dev/sda /dev/md126p1 -> /dev/md126p /dev/md126p doesn't exist because the RAID disk name is /dev/md126. I changed it so that the script always uses /dev/md126 as the disk with 2 variations: one that uses "1" as the partition number, and one that uses "p1" as the partition number. The former fails because "/dev/md1261 does not exist", and the latter fails because the growpart script checks to see that the partition number is actually a numerical value. This can probably be fixed by modifying growpart to allow the use of numerical values prefixed by "p" for partition numbers and modifying the growroot script that gets put in the initramfs to properly do string formatting with mdraid device names. Thanks for your time. ProblemType: Bug DistroRelease: Ubuntu 12.04 Package: cloud-utils 0.25-0ubuntu5.1 Uname: Linux 4.0.3 x86_64 NonfreeKernelModules: ext4 crc16 mbcache jbd2 raid1 md_mod mousedev hid_generic usbhid hid sd_mod coretemp x86_pkg_temp_thermal kvm_intel kvm ahci crc32c_intel libahci aesni_intel iTCO_wdt aes_x86_64 glue_helper squashfs libata iTCO_vendor_support i2c_i801 ehci_pci lpc_ich xhci_pci sb_edac lrw ixgbe gf128mul ipmi_ssif ablk_helper hwmon xhci_hcd ptp ehci_hcd loop cryptd edac_core usbcore microcode firmware_class scsi_mod tpm_tis pps_core i2c_core mfd_core usb_common mdio tpm ipmi_si ipmi_msghandler evdev button sch_fq_codel autofs4 ApportVersion: 2.0.1-0ubuntu17.9 Architecture: amd64 Date: Tue Sep 1 20:45:44 2015 MarkForUpload: True PackageArchitecture: all ProcEnviron:  TERM=xterm-256color  PATH=(custom, no user)  SHELL=/bin/bash SourcePackage: cloud-utils UpgradeStatus: No upgrade log present (probably fresh install) Related bugs: bug 1799953: growpart does not work for lvm
2019-07-10 19:06:40 Rafael David Tinoco nominated for series Ubuntu Eoan
2019-07-10 19:06:40 Rafael David Tinoco bug task added cloud-utils (Ubuntu Eoan)
2019-07-10 19:06:40 Rafael David Tinoco nominated for series Ubuntu Bionic
2019-07-10 19:06:40 Rafael David Tinoco bug task added cloud-utils (Ubuntu Bionic)
2019-07-10 19:06:40 Rafael David Tinoco nominated for series Ubuntu Disco
2019-07-10 19:06:40 Rafael David Tinoco bug task added cloud-utils (Ubuntu Disco)
2019-07-10 19:06:50 Rafael David Tinoco cloud-utils (Ubuntu Disco): status New In Progress
2019-07-10 19:06:54 Rafael David Tinoco cloud-utils (Ubuntu Bionic): status New In Progress
2019-07-10 19:07:01 Rafael David Tinoco cloud-utils (Ubuntu Bionic): status In Progress Confirmed
2019-07-10 19:07:05 Rafael David Tinoco cloud-utils (Ubuntu Disco): importance Undecided Medium
2019-07-10 19:07:06 Rafael David Tinoco cloud-utils (Ubuntu Disco): status In Progress Confirmed
2019-07-10 19:07:09 Rafael David Tinoco cloud-utils (Ubuntu Bionic): importance Undecided Medium
2019-07-10 19:35:31 Scott Moser cloud-utils (Ubuntu Eoan): status Confirmed In Progress
2019-07-10 19:35:36 Scott Moser cloud-utils (Ubuntu Eoan): assignee Scott Moser (smoser)